import { ethers } from "hardhat";

async function main() {
  const [deployer] = await ethers.getSigners();
  console.log(`Deploying contract with account: ${deployer.address}`);

  const CoinCoinCoinFactory = await ethers.getContractFactory("CoinCoinCoin");
  const initialSupply = ethers.parseUnits("1000", 18);

  const CoinCoinCoin = await CoinCoinCoinFactory.deploy(initialSupply);
  await CoinCoinCoin.waitForDeployment();
  console.log(`${await CoinCoinCoin.getAddress()}`);

}

main().catch((error) => {
  console.error(error);
  process.exitCode = 1;
});
